<?php
	//ini_set('display_errors', 1);
	//error_reporting(E_ALL);
	//  if (@$_POST['list_navig']=='0')  echo "<meta http-equiv=refresh content='0; url=admin.php'>";
	//   if (@$_POST['list_navig']=='1') {echo "<meta http-equiv=refresh content='0; url=admin.php'>";  exit();}
	if(!is_file('db/base.txt')){touch('db/bl.txt');touch('db/cat.txt');touch('db/descr.php');touch('db/head.txt');touch('db/id_mail.txt');touch('db/mail.txt');touch('db/sub.txt');touch('db/base.txt'); // base.txt в дальнейшем не используется, нужен только как индикатор того что созданы необходимые файлы bd
	}
	If (@$_POST['list_navig']=='1') { header("Location:admin.php"); exit();}
	if (@$_POST['list_navig']=='2')  { header("Location:admin2.php"); exit();}
	if (@$_POST['list_navig']=='3')  { header("Location:admin3.php"); exit();}
	if (@$_POST['list_navig']=='4') { header("Location:admin5.php"); exit();}
	if (@$_POST['list_navig']=='5')  { header("Location:admin1.php"); exit();}
	if (@$_POST['list_navig']=='6')  { header("Location:admin7.php"); exit();}
	if (@$_POST['list_navig']=='7')  { header("Location:admin6.php"); exit();}
	if (@$_POST['list_navig']=='8')  { header("Location:../../hs_quest/admin/admin6.php?sel6=selected'"); exit();}
	session_start();
	if (file_exists ('../../sg_cm/root.php') && (time() - filemtime('../../sg_cm/root.php') > 86400)) {
	session_destroy();}
	
	$fn="../../sg_cm/conf/conf/conf.php";
	$file=file($fn);
	if($file[2]!=session_id())
	{
     	echo "<meta http-equiv=refresh content='0; url=../../sg_cm/admin/index.php'>";
        exit();
	} 
	touch('../../sg_cm/root.php');	 
	if(isset($_GET['quit']))
	{
		
		$f=fopen($fn,"w");
		fwrite($f,$file[0].$file[1]."111");
		fclose($f);
		echo "<meta http-equiv=refresh content='0; url=http://$_SERVER[SERVER_NAME]'>";
		exit();
		
	}
	//функция проверки настройки публиковать ли статью, а также определяет массив-список непубликуемых статей  $news_public
	$news_public=array();
	function news_public_check($id_of_news){ global $news_public;
		$news_public=array();if (!is_file("db/public.txt"))touch("db/public.txt");
		$news_public=file("db/public.txt"); // черный список публикации
		for($n=0;$n<count($news_public);$n++) $news_public[$n]=trim($news_public[$n]);
		if(!in_array($id_of_news,$news_public)) $check_public='checked="checked"';
		else  $check_public="";
		return $check_public;
	}  
	
	//функция проверки checkbox 
	function checkbox_verify($_name)
	{$result=0;
		if (isset($_REQUEST[$_name]))
		{ if ($_REQUEST[$_name]=='on') {$result=1; }
		}
		return $result;
	}
	
	
	
	if(isset($_POST["zagl"]) && @$_POST["zagl"]!="" && $_POST["writezagl"]=="Записать" ) 
	{$ZAGL=$_POST["zagl"];
		if (get_magic_quotes_gpc()) {$ZAGL = stripslashes($ZAGL); }
		$base = file_get_contents('db/zagl');
		if ($base!==false && $base!=''){ 
			$base = preg_replace('!zagl=\'[^\']*?\';!', 'zagl=\''.$ZAGL.'\';', $base);
			file_put_contents('db/zagl',$base);
		}
	}
	$fget="db/zagl";
	if(is_file($fget))
	{include($fget);}
	else {$zagl="Новости"; file_put_contents("db/zagl","<?php \$zagl='Новости';
	\$indx='news';?>");}
	$Zagl=$zagl;$IndX='';
	include_once("../../sg_cm/sg_cm/cap2.html");
?>
<br/>
<script type='text/javascript'>
	
	function del(par,text)
	{
		answer=window.confirm('Вы хотите удалить '+text+'?');
		if (answer)window.location.replace(par);
		
	}
	
	function win(par)
	{
		
		var obj=par;
		mainwin=window.open('rgb.html','',
		'Width=550, height=500,left=100,top=100,status=yes,toolbar=no,menubar=no,scrollbars=yes,resizable=yes');
		
	}
	
	function doMenu2(item) { obj=document.getElementById(item); col=document.getElementById("x" + item); if (obj.style.display=="none") { obj.style.display="inline"; col.innerHTML=""; } else { obj.style.display="none"; col.innerHTML="";} }
	function select_all(obj) 
	{ var text_val=eval(obj); 
	text_val.select(); }
	;
	
</script>
<table class="tabcap howto">
	
	<?php
		$selectmy=array('','','','','','','','');
		$expl=explode("/",$_SERVER['PHP_SELF']);
		switch($expl[count($expl)-1])
		{
			case "admin.php":$selectmy[1]='selected'; $pagetitlemy='::&nbsp;Добавить статью&nbsp;::';
			break;
			case "admin1.php":$selectmy[5]='selected';$pagetitlemy='::&nbsp;Категории&nbsp;::';
			break;
			case "admin2.php":$selectmy[2]='selected';$pagetitlemy='::&nbsp;Все статьи&nbsp;::';
			break;
			case "admin3.php":$selectmy[3]='selected';$pagetitlemy='::&nbsp;Настройки краткого блока статей&nbsp;::';
			break;
			case "admin5.php":$selectmy[4]='selected';$pagetitlemy='::&nbsp;Настройки страницы со всеми статьями&nbsp;::';
			break;
			case "admin6.php":$selectmy[7]='selected';$pagetitlemy='::&nbsp;Чёрный список по IP для оставляющих комментарии&nbsp;::';
			break;
			case "admin4.php":$selectmy[8]='selected';$pagetitlemy='::&nbsp;Логин пароль&nbsp;::';
			break;
			case "red.php":$selectmy[2]='selected';$pagetitlemy='::&nbsp;Редактирование статьи&nbsp;::';
			break;
			case "comm.php":$selectmy[2]='selected';$pagetitlemy='::&nbsp;Комментарии&nbsp;::';
			break;
			case "admin7.php":$selectmy[6]='selected';$pagetitlemy='::&nbsp;Управление рассылкой&nbsp;::';
			break;
			
			case "db_mail.php":$selectmy[2]='selected';$pagetitlemy='::&nbsp;База адресов&nbsp;::';
			break;
		}
		
	?>
	
	<tr>
		<td class="valtop al ft16">
			<form  method='post' name='form1'>
				<div style="display:inline" >
					<? 	
						//	echo mb_convert_case($Zagl, MB_CASE_UPPER, "UTF-8"); 
						echo $Zagl;	
					?>
					
					<img src="../../sg_cm/sg_images/pencil.png" height="20" width="20" title="Редактировать заголовок" alt="Редактировать заголовок" style="vertical-align: middle; cursor: pointer;" onClick="doMenu2('red'); return false;"/>
					<span id="red" style="display:none; z-index:100; position:absolute"> 
						<input style="vertical-align: middle" name="zagl" type=text size=30 value="<? echo $Zagl;?>" /> 
						<button class="knob b2"  TYPE="submit" NAME="writezagl"  title="Записать заголовок" VALUE="Записать" style="width:24px">
							OK
						</button>
					</span>&nbsp;
					<a href="../../sg_cm/sg_cm/code.php?cat=<?php echo $curscriptpage;?>" onclick="return x5engine.imShowBox({ swipeImg: '../../sg_cm/sg_cm/res/imSwipe.png', closeImg: '../../sg_cm/sg_images/imClose.png', loadingImg: '../../sg_cm/sg_cm/res/imLoad.gif', startIndex: 0, media:[{type: 'iframe', url: '../../sg_cm/sg_cm/code.php?cat=<?php echo $curscriptpage;?>', width: 500, height: 200, description: ''}]}, 0, this);" class="imCssLink"><img src="../../sg_cm/sg_images/code10big128.png" height="20" width="30" title="Код заголовка" alt="Код заголовка" style="vertical-align: middle"></a>
					
				</div></form>
		</br></td>
		
		<td class="ar" >
			
			<form action='cap.php' method='post' name='cap'>
				<SELECT NAME="list_navig" onchange="cap.submit() ;">
					<!--OPTION value="0" <? echo $selectmy[0]; ?> :: Меню :: </option-->
					<OPTION value="1" <? echo $selectmy[1]; ?> >Добавить статью</option>
					
					<OPTION value="2" <? echo $selectmy[2]; ?> >Все статьи</option>
					<OPTION value="3" <? echo $selectmy[3]; ?> >Настройки блока</option>
					<OPTION value="4" <? echo $selectmy[4]; ?> >Настройки статей</option>
					<OPTION value="5" <? echo $selectmy[5]; ?> >Категории</option>
					<OPTION value="6" <? echo $selectmy[6]; ?> >Рассылка</option>
					<OPTION value="7" <? echo $selectmy[7]; ?> >Черный список</option>
					<!--<OPTION value="8" <?// echo $selectmy[8]; ?> >Логин и пароль</option>-->
				</SELECT>
			</form>
		</td>
		</tr><tr>
		
		<td id=head>
			<?php echo $pagetitlemy; ?>
			
		</td><td></td> </tr> 
</table> 
<p></p><p></p>
